Page MenuHomeFreeBSD

devel/py-gitpython: updating to 2.1.7 version.
ClosedPublic

Authored by rigoletto on Oct 4 2017, 1:03 AM.

Details

Summary
  • update to 2.1.7 version
  • switch to DISTVERSION

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rigoletto created this revision.Oct 4 2017, 1:03 AM

Upstream is confused about devel/py-gitdb requirement: setup.py require "devel/py-gitdb2" but in requirements.txt tell "devel/py-gitdb".

Based on the current (old) port, I assumed upstream requirements.txt is outdated, since the version required in that file is old and the same of the rather outdated currently available port..

rigoletto added a project: Python.

Is flake8 really needed?

A closer look in the setup.py and it seems flake8 nor coverage are actually not necessary.

rigoletto updated this revision to Diff 33708.Oct 5 2017, 4:57 AM

Removing py-coverage and py-flake8 from TEST_DEPENDS.

tcberner accepted this revision.Oct 5 2017, 6:05 AM
tcberner removed a reviewer: tcberner.

Oki, looking good

This revision is now accepted and ready to land.Oct 5 2017, 6:05 AM
sunpoet requested changes to this revision.Oct 6 2017, 10:22 AM
sunpoet added a subscriber: sunpoet.
sunpoet added inline comments.
devel/py-gitpython/Makefile
17 ↗(On Diff #33708)

According to requirements.txt, unittest2 is required for python 2.6 or below.

24 ↗(On Diff #33708)

Use do-test: instead.

This revision now requires changes to proceed.Oct 6 2017, 10:22 AM
rigoletto marked 2 inline comments as done.Oct 6 2017, 6:48 PM
rigoletto updated this revision to Diff 33774.Oct 6 2017, 6:50 PM

Remove the devel/py-unittest2 dependency, switch 'regression-test:' to 'do-test:'.

sunpoet added inline comments.Oct 10 2017, 5:40 PM
devel/py-gitpython/Makefile
24 ↗(On Diff #33708)

Sorry for not being clear enough.
I meant to replace the whole line with "do-test:" since it is part of the test framework which sequence is "build, stage, test".

21 ↗(On Diff #33774)

It's good to add USE_PYTHON=concurrent which allows installing this port with different python versions at the same time.

rigoletto updated this revision to Diff 33869.Oct 10 2017, 5:53 PM

Fxing "do-test:".

rigoletto marked 2 inline comments as done.Oct 10 2017, 6:03 PM

Done. Thanks!

devel/py-gitpython/Makefile
24 ↗(On Diff #33708)

I thought of that but I could not find a reference of the use of "build" in "regression-test:" or "do-test:" I kept it.

21 ↗(On Diff #33774)

I knew about the "concurrent" feature but as I know (and use) very little about python, I was not sure if/when I should use or not.

Is it considered a good practice to add concurrent by default to python related ports?

This revision was automatically updated to reflect the committed changes.